petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSPseudoSetTimeStep

Sets the user-defined routine to be called at each pseudo-timestep to update the timestep.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPseudoSetTimeStep(TS ts,PetscErrorCode (*dt)(TS,PetscReal*,void*),void *ctx)

Logically Collective on TS

### Input Parameters

| ts | - timestep context
| dt | - function to compute timestep
| ctx | - [optional] user-defined context for private data required by the function (may be NULL)

### Calling sequence of func

func (TS ts,PetscReal *newdt,void *ctx); -
newdt -the newly computed timestep
ctx -[optional] timestep context

### Notes

The routine set here will be called by TSPseudoComputeTimeStep() during the timestepping process. If not set then TSPseudoTimeStepDefault() is automatically used

### Keywords

timestep, pseudo, set

### See Also

TSPseudoTimeStepDefault(), TSPseudoComputeTimeStep()

### Level

intermediate

### Location

src/ts/impls/pseudo/posindep.c

### Examples

src/ts/examples/tutorials/ex1.c.html

### Implementations

TSPseudoSetTimeStep_Pseudo in src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages